- Qt 6.7
- Qt GRPC
- C++ Classes
- QtGrpc (Technical Preview)
- QGrpcInterceptorContinuation
- Qt 6.7.2 Reference Documentation

# QGrpcInterceptorContinuation Class

template <typename T> class QGrpcInterceptorContinuation

A template class for Qt GRPC interceptor continuation. More...

Header: | #include <QGrpcInterceptorContinuation>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Grpc) target_link_libraries(mytarget PRIVATE Qt6::Grpc)
Since: | Qt 6.7
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

| QGrpcInterceptorContinuation(std::function<void (ReplyType, ParamType)> _func)
void | operator()(QGrpcInterceptorContinuation<T>::ReplyType response, QGrpcInterceptorContinuation<T>::ParamType param)

## Detailed Description

The QGrpcInterceptorContinuation class is a helper class that wraps std::function, based on the QGrpcOperation type for the specific type of the call or stream. It is used for managing the continuation of Qt GRPC interceptor processing.

## Member Function Documentation

### QGrpcInterceptorContinuation::QGrpcInterceptorContinuation(std::function<void (ReplyType, ParamType)> _func)

Constructs a QGrpcInterceptorContinuation with the provided function _func.

### void QGrpcInterceptorContinuation::operator()(QGrpcInterceptorContinuation<T>::ReplyType response, QGrpcInterceptorContinuation<T>::ParamType param)

Invokes the continuation function with the given response and param parameter.